# Method: accounts.accountLinks.patch

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks/patch#body.aspect)

Updates the account link target of an account link.

### HTTP request

`PATCH https://travelpartner.googleapis.com/v3/{accountLink.name=accounts/*/accountLinks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountLink.name` | `string` The resource name for the account link in the format `accounts/{account_id}/accountLinks/{account_link_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The field to update. Only the `accountLinkTarget` field can be updated. Use the syntax shown in the example URL below and provide the new value in the request body. Example request URL and request body: PATCH https://travelpartner.googleapis.com/v3/accounts/123456789/ accountLinks/0123456789?updateMask=accountLink.account_link_target { "accountLinkTarget": { "hotelList": { "partnerHotelIds": ["1234", "4321"] } } } The response body will only include the `name` field of an `AccountLink`. The information above is sufficient for forming the URL and request body. The sentence below is auto-generated, supplemental information about the `FieldMask` format in general. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks#AccountLink`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks#AccountLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).